Loading...
Searching...
No Matches
wayland::shell_surface_transient Struct Reference

details of transient behaviour More...

`#include <wayland-client-protocol.hpp>`

Inherits wayland::detail::bitfield< size, id >.

## Static Public Attributes

static const wayland::detail::bitfield< 1, 9 > | inactive {0x1}
| do not set keyboard focus

## Detailed Description

details of transient behaviour

These flags specify details of the expected behaviour of transient surfaces. Used in the set_transient request.

Definition at line 1930 of file wayland-client-protocol.hpp.

## Member Data Documentation

## inactive

const bitfield< 1, 9 > shell_surface_transient::inactive {0x1}

static

do not set keyboard focus

Definition at line 1937 of file wayland-client-protocol.hpp.

The documentation for this struct was generated from the following files:

- obj-x86_64-linux-gnu/wayland-client-protocol.hpp
- obj-x86_64-linux-gnu/wayland-client-protocol.cpp
- obj-x86_64-linux-gnu/wayland-server-protocol.cpp